DirectRecordAccessSet (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.unsafe.batchinsert

## Class DirectRecordAccessSet

- java.lang.Object
- - org.neo4j.unsafe.batchinsert.DirectRecordAccessSet

- All Implemented Interfaces:
    org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet

      public class DirectRecordAccessSet
      extends Object
      implements org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectRecordAccessSet(org.neo4j.kernel.impl.nioneo.store.NeoStore neoStore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `commit()`
    `org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.NodeRecord,Void>` | `getNodeRecords()`
    `org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.PropertyRecord,org.neo4j.kernel.impl.nioneo.store.PrimitiveRecord>` | `getPropertyRecords()`
    `org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.RelationshipGroupRecord,Integer>` | `getRelGroupRecords()`
    `org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.RelationshipRecord,Void>` | `getRelRecords()`
    `org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,Collection<org.neo4j.kernel.impl.nioneo.store.DynamicRecord>,org.neo4j.kernel.impl.nioneo.store.SchemaRule>` | `getSchemaRuleChanges()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectRecordAccessSet

          public DirectRecordAccessSet(org.neo4j.kernel.impl.nioneo.store.NeoStore neoStore)

  - ### Method Detail

    - #### getNodeRecords

          public org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.NodeRecord,Void> getNodeRecords()

      Specified by:
        `getNodeRecords` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### getPropertyRecords

          public org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.PropertyRecord,org.neo4j.kernel.impl.nioneo.store.PrimitiveRecord> getPropertyRecords()

      Specified by:
        `getPropertyRecords` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### getRelRecords

          public org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.RelationshipRecord,Void> getRelRecords()

      Specified by:
        `getRelRecords` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### getRelGroupRecords

          public org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,org.neo4j.kernel.impl.nioneo.store.RelationshipGroupRecord,Integer> getRelGroupRecords()

      Specified by:
        `getRelGroupRecords` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### getSchemaRuleChanges

          public org.neo4j.kernel.impl.nioneo.xa.RecordAccess<Long,Collection<org.neo4j.kernel.impl.nioneo.store.DynamicRecord>,org.neo4j.kernel.impl.nioneo.store.SchemaRule> getSchemaRuleChanges()

      Specified by:
        `getSchemaRuleChanges` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.neo4j.kernel.impl.nioneo.xa.RecordAccessSet`

    - #### commit

          public void commit()

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.